## org.gnu.glib
Class List

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.glib.List

public class List
extends Boxed

This object represents a doubly-linked list in the GLib system. This should only be used internally. This type should be converted into one of the Java container types prior to being passed to the application layer. Objects of this type should be freed by calling thre free() method. The data parameter that is being passed into many of the methods is the handle of a java-gnome object.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`List()` Construct a List object
`List(Handle handle)` Contruct a List object using a given handle.

Method Summary
`void` `append(int data)` Append an element to the end of the list.
`Handle` `first()` Return the first element from the List.
`void` `free()` Release the resources associated with this object.
`protected static Handle` `g_list_alloc()`
`protected static Handle` `g_list_append(Handle list, int data)`
`protected static Handle` `g_list_first(Handle list)`
`protected static void` `g_list_free(Handle list)`
`protected static Handle` `g_list_insert(Handle list, int data, int position)`
`protected static Handle` `g_list_last(Handle list)`
`protected static int` `g_list_length(Handle list)`
`protected static Handle` `g_list_next(Handle list)`
`protected static Handle` `g_list_prepend(Handle list, int data)`
`protected static Handle` `g_list_previous(Handle list)`
`protected static Handle` `g_list_remove_all(Handle list, int data)`
`protected static Handle` `g_list_remove(Handle list, int data)`
`protected static Handle` `getData(Handle obj)` BEGINNING OF JNI CODE
`void` `insert(int data, int position)` Insert an element at a specified location in the List.
`Handle` `last()` Return the last element from the List.
`int` `length()` Return the number of elements contained in the List.
`Handle` `next()` Return the next element in the List.
`void` `prepend(int data)` Prepend an element to the end of the list.
`Handle` `previous()` Return the previous element in the List.
`void` `remove(int data)` Remove the first instance of an element from the List.
`void` `removeAllInstances(int data)` Remove all instances of an element from the List.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### List

    public List()

  Construct a List object

### List

    public List(Handle handle)

  Contruct a List object using a given handle. This constructor is used by the libraries internally to construct the object with the handle returned by a native method.

Method Detail

### free

    public void free()

  Release the resources associated with this object.

### append

    public void append(int data)

  Append an element to the end of the list.

  Parameters:
    `data` - The handle of the object that is being added to the List.

### prepend

    public void prepend(int data)

  Prepend an element to the end of the list.

  Parameters:
    `data` - The handle of the object that is being added to the List.

### insert

    public void insert(int data,
                       int position)

  Insert an element at a specified location in the List.

  Parameters:
    `data` - The handle of the object that is being added to the List.
    `position` - The position to perform the insertion.

### remove

    public void remove(int data)

  Remove the first instance of an element from the List.

  Parameters:
    `data` - The item to remove from the list. If two items contain the same data only the first will be removed.

### removeAllInstances

    public void removeAllInstances(int data)

  Remove all instances of an element from the List.

  Parameters:
    `data` - The item to remove from the List. This method will remove all instances of the object pointed to by data.

### length

    public int length()

  Return the number of elements contained in the List.

  Returns:
    The number of elements in the List.

### first

    public Handle first()

  Return the first element from the List. This method will also reposition the current list item to the beginning of the list.

  Returns:
    The first element from the List.

### last

    public Handle last()

  Return the last element from the List. This method will also reposition the current list item to the end of the list.

  Returns:
    The last element from the List.

### next

    public Handle next()

  Return the next element in the List. This method will also move the current list item forward one element.

  Returns:
    The next element from the List.

### previous

    public Handle previous()

  Return the previous element in the List. This method will also move the current list item backward one element.

  Returns:
    The previous element from the List.

### getData

    protected static final Handle getData(Handle obj)

  BEGINNING OF JNI CODE

### g_list_append

    protected static final Handle g_list_append(Handle list,
                                                int data)

### g_list_prepend

    protected static final Handle g_list_prepend(Handle list,
                                                 int data)

### g_list_insert

    protected static final Handle g_list_insert(Handle list,
                                                int data,
                                                int position)

### g_list_remove

    protected static final Handle g_list_remove(Handle list,
                                                int data)

### g_list_remove_all

    protected static final Handle g_list_remove_all(Handle list,
                                                    int data)

### g_list_free

    protected static final void g_list_free(Handle list)

### g_list_alloc

    protected static final Handle g_list_alloc()

### g_list_length

    protected static final int g_list_length(Handle list)

### g_list_first

    protected static final Handle g_list_first(Handle list)

### g_list_last

    protected static final Handle g_list_last(Handle list)

### g_list_previous

    protected static final Handle g_list_previous(Handle list)

### g_list_next

    protected static final Handle g_list_next(Handle list)